Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.localsearch.decider.acceptor.tabu
Class MoveTabuAcceptor

    java.lang.Object
      org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
          org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter
              org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor
                  org.optaplanner.core.impl.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor
                      org.optaplanner.core.impl.localsearch.decider.acceptor.tabu.MoveTabuAcceptor

All Implemented Interfaces:
  EventListener, Acceptor, LocalSearchPhaseLifecycleListener, SolverLifecycleListener

    public class MoveTabuAcceptor

extends AbstractTabuAcceptor

Field Summary
`protected boolean` | `useUndoMoveAsTabuMove`

Fields inherited from class org.optaplanner.core.impl.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor
`aspirationEnabled, assertTabuHashCodeCorrectness, fadingTabuSizeStrategy, tabuSequenceList, tabuSizeStrategy, tabuToStepIndexMap, workingFadingTabuSize, workingTabuSize`

Fields inherited from class org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor
`logger`

Constructor Summary
`MoveTabuAcceptor()`

Method Summary
`protected Collection<? extends Object>` | `findNewTabu(LocalSearchStepScope stepScope)`
`protected Collection<? extends Object>` | `findTabu(LocalSearchMoveScope moveScope)`
`void` | `setUseUndoMoveAsTabuMove(boolean useUndoMoveAsTabuMove)`

Methods inherited from class org.optaplanner.core.impl.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor
`adjustTabuList, calculateFadingTabuAcceptChance, isAccepted, phaseEnded, phaseStarted, setAspirationEnabled, setAssertTabuHashCodeCorrectness, setFadingTabuSizeStrategy, setTabuSizeStrategy, stepEnded`

Methods inherited from class org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter
`stepStarted`

Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
`solvingEnded, solvingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListener
`stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### useUndoMoveAsTabuMove

    protected boolean useUndoMoveAsTabuMove

Constructor Detail

### MoveTabuAcceptor

    public MoveTabuAcceptor()

Method Detail

### setUseUndoMoveAsTabuMove

    public void setUseUndoMoveAsTabuMove(boolean useUndoMoveAsTabuMove)

### findTabu

    protected Collection<? extends Object> findTabu(LocalSearchMoveScope moveScope)

  Specified by:
    `findTabu` in class `AbstractTabuAcceptor`

### findNewTabu

    protected Collection<? extends Object> findNewTabu(LocalSearchStepScope stepScope)

  Specified by:
    `findNewTabu` in class `AbstractTabuAcceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.